# Create subtask

Creates a subtask.

Endpoint: POST /projects/{project_id}/assignments/{assignment_id}/subtasks
Version: v1
Security: AuthToken

## Header parameters:

  - `Content-Type` (string, required)
    Enum: "application/json"

## Path parameters:

  - `project_id` (integer, required)
    Unique identifier for the resource instance.
    Example: 1234567

  - `assignment_id` (integer, required)
    Unique identifier for the resource instance.
    Example: 889

## Request fields (application/json):

  - `description` (string, required)
    Identifies the subtask.
    Example: "Assess risks"

  - `completed` (boolean)
    This is true if the subtask is done; otherwise, it's false.

## Response 200 fields (application/json):

  - `id` (integer)
    The unique identifier for the subtask.
    Example: 6789012345

  - `assignment_id` (integer)
    The ID of the assignment to which this subtask belongs.
    Example: 5612

  - `assignable_id` (integer)
    The ID of the project, phase, or leave type to which the the assignment applies.
    Example: 1234

  - `description` (string)
    Identifies the subtask.
    Example: "Assess risks"

  - `completed` (boolean)
    This is true if the subtask is done; otherwise, it's false.

  - `updated_at` (string)
    The time of the last update.
    Example: "2025-08-27T12:00:00Z"

  - `created_at` (string)
    The time of creation.
    Example: "2025-08-27T12:00:00Z"

  - `updated_by` (integer)
    The ID of the user who last updated this subtask.
    Example: 1234567


